Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.taglibs.xtags
Class SelectTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.ejie.r01f.taglibs.xtags.BaseXTag
                  com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents
                      com.ejie.r01f.taglibs.xtags.SelectTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class SelectTag
extends BaseXTagWithEvents

Clase que define un tag SELECT utilizado en los xTags El xtag select se utiliza como: Esta opcion es de regalo Lo que dara como resultado un xml: __ Si el xtag hubiera tenido las propiedades name y valueXMLElemName distintos y se hubiera especificado que el codigo no es atributo: Esta opcion es de regalo el resultado hubiera sido: ______ Si no se incluye el atributo valueXMLElemName el xml hubiera sido: Si se quiere que el xml sea _el codigo_ basta con no poner ni el atributo valueXMLElemName ni el atributo keyXMLElemName La opcion mas sencilla es: que da como resultado un xml: 24 (el cofigo de la opcion seleccionada) Otra opcion es que el valor de la select sea un atributo del objeto padre para lo cual se utiliza isAttribute='true'. En este caso las propiedades valueXMLElemName y keyXMLElemName se ignoran: El xml resultante sera

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SelectTag()`

Method Summary
`int` | `doAfterBody()` Process the body of this tag.
`int` | `doEndTag()` Process the end of this tag.
`int` | `doStartTag()` Process the start of this tag.
`java.lang.String` | `getDefaultOption()` Devuelve la opción por defecto del select
`java.lang.String` | `getFirstOption()` Devuelve la primera opcion en la select (normalmente suele ser -todos-, etc)
`boolean` | `getKeyIsAttribute()` Devuelve si el elemento del xml resultante donde se va a colocar la clave (oid) del select es un atributo
`java.lang.String` | `getKeySrcPropertyName()` Devuelve el nombre de la propiedad de los objetos contenidos en el mapa de opciones que actúa de clave (oid) en la select.
`java.lang.String` | `getKeyXMLElemName()` Devuelve el nombre del elemento del xml resultante que va a contener la clave (oid) del select
`java.lang.String` | `getMultiple()` Devuelve si el select es de seleccion multiple
`java.util.Map` | `getOptions()` Devuelve las opciones del select
`int` | `getSelectedIndex()` Devuelve el ínidice de la opcion seleccionada
`java.lang.Object` | `getSelectedOptions()` Devuelve las opciones seleccionadas:
`boolean` | `getValueIsAttribute()` Devuelve si el elemento del xml resultante donde se va a colocar el valor es un atributo
`java.lang.String` | `getValueSrcPropertyName()` Devuelve el nombre de la propiedad de los objetos contenidos en el mapa de opciones que actúa de texto de cada opcion en la select.
`java.lang.String` | `getValueXMLElemName()` Devuelve el nombre del elemento del xml resultante que va a contener el valor del select
`void` | `release()` Release any acquired resources.
`void` | `setDefaultOption(java.lang.String x)` Establece la opcion por defecto
`void` | `setFirstOption(java.lang.String x)` Establece la primera opcion en la select (normalmente suele ser -todos-, etc)
`void` | `setKeyIsAttribute(boolean x)` Establece si el elemento del xml resultante donde se va a colocar la clave (oid) del select es un atributo
`void` | `setKeySrcPropertyName(java.lang.String x)` Establece el nombre de la propiedad de los objetos contenidos en el mapa de opciones que actúa de clave (oid) en la select.
`void` | `setKeyXMLElemName(java.lang.String x)` Establece el nombre del elemento del xml resultante que va a contener la clave (oid) del select
`void` | `setMultiple(java.lang.String x)` Establece si el select es de selección múltiple
`void` | `setOptions(java.util.Map x)` Establece las opciones del select
`void` | `setSelectedIndex(int x)` Establece el índice de la opción seleccionada
`void` | `setSelectedOptions(java.lang.Object x)` Establece las opciones seleccionadas
`void` | `setValueIsAttribute(boolean x)` Establece si el elemento del xml resultante donde se va a colocar el valor es un atributo
`void` | `setValueSrcPropertyName(java.lang.String x)` Establece el nombre de la propiedad de los objetos contenidos en el mapa de opciones que actúa de texto de cada opcion sen la select.
`void` | `setValueXMLElemName(java.lang.String x)` Establece el nombre del elemento del xml resultante que va a contener el valor del select

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTagWithEvents
`getAccesskey, getDisabled, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getTabindex, getTitle, setAccesskey, setDisabled, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class com.ejie.r01f.taglibs.xtags.BaseXTag
`getCheck, getFullPathName, getGenerateHTML, getGenerateJS, getId, getIsAttribute, getIsCDATA, getName, getXmlElemName, setCheck, setGenerateHTML, setGenerateJS, setId, setIsAttribute, setIsCDATA, setName, setXmlElemName`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### SelectTag

    public SelectTag()

Method Detail

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseXTagWithEvents`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the start of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doAfterBody

    public int doAfterBody()
                    throws javax.servlet.jsp.JspException

  Process the body of this tag.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Process the end of this tag. The default implementation does nothing.

  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### getMultiple

    public java.lang.String getMultiple()

  Devuelve si el select es de seleccion multiple

  Returns:
    true si se pueden seleccionar varios elementos

### setMultiple

    public void setMultiple(java.lang.String x)

  Establece si el select es de selección múltiple

### getDefaultOption

    public java.lang.String getDefaultOption()

  Devuelve la opción por defecto del select

### setDefaultOption

    public void setDefaultOption(java.lang.String x)

  Establece la opcion por defecto

### getOptions

    public java.util.Map getOptions()

  Devuelve las opciones del select

  Returns:
    Un mapa con las opciones del select (oid|valor)

### setOptions

    public void setOptions(java.util.Map x)

  Establece las opciones del select

### getKeySrcPropertyName

    public java.lang.String getKeySrcPropertyName()

  Devuelve el nombre de la propiedad de los objetos contenidos en el mapa de opciones que actúa de clave (oid) en la select. En el mapa de opciones hay objetos y únicamente se trata de decir que miembro de estos objetos actua de clave (oid)

### setKeySrcPropertyName

    public void setKeySrcPropertyName(java.lang.String x)

  Establece el nombre de la propiedad de los objetos contenidos en el mapa de opciones que actúa de clave (oid) en la select. En el mapa de opciones hay objetos y únicamente se trata de decir que miembro de estos objetos actua de clave (oid)

### getValueSrcPropertyName

    public java.lang.String getValueSrcPropertyName()

  Devuelve el nombre de la propiedad de los objetos contenidos en el mapa de opciones que actúa de texto de cada opcion en la select. En el mapa de opciones hay objetos y únicamente se trata de decir que miembro de estos objetos actua de texto de cada opcion

### setValueSrcPropertyName

    public void setValueSrcPropertyName(java.lang.String x)

  Establece el nombre de la propiedad de los objetos contenidos en el mapa de opciones que actúa de texto de cada opcion sen la select. En el mapa de opciones hay objetos y únicamente se trata de decir que miembro de estos objetos actua de texto

### getFirstOption

    public java.lang.String getFirstOption()

  Devuelve la primera opcion en la select (normalmente suele ser -todos-, etc)

  Returns:
    El texto de la primera opcion

### setFirstOption

    public void setFirstOption(java.lang.String x)

  Establece la primera opcion en la select (normalmente suele ser -todos-, etc)

### getSelectedOptions

    public java.lang.Object getSelectedOptions()

  Devuelve las opciones seleccionadas:

### setSelectedOptions

    public void setSelectedOptions(java.lang.Object x)

  Establece las opciones seleccionadas

### getSelectedIndex

    public int getSelectedIndex()

  Devuelve el ínidice de la opcion seleccionada

### setSelectedIndex

    public void setSelectedIndex(int x)

  Establece el índice de la opción seleccionada

### getValueXMLElemName

    public java.lang.String getValueXMLElemName()

  Devuelve el nombre del elemento del xml resultante que va a contener el valor del select

  Returns:
    el nombre del elemento del xml de salida

### setValueXMLElemName

    public void setValueXMLElemName(java.lang.String x)

  Establece el nombre del elemento del xml resultante que va a contener el valor del select

### getValueIsAttribute

    public boolean getValueIsAttribute()

  Devuelve si el elemento del xml resultante donde se va a colocar el valor es un atributo

  Returns:
    true si el elemento es un atributo

### setValueIsAttribute

    public void setValueIsAttribute(boolean x)

  Establece si el elemento del xml resultante donde se va a colocar el valor es un atributo

### getKeyXMLElemName

    public java.lang.String getKeyXMLElemName()

  Devuelve el nombre del elemento del xml resultante que va a contener la clave (oid) del select

  Returns:
    el nombre del elemento del xml de salida

### setKeyXMLElemName

    public void setKeyXMLElemName(java.lang.String x)

  Establece el nombre del elemento del xml resultante que va a contener la clave (oid) del select

### getKeyIsAttribute

    public boolean getKeyIsAttribute()

  Devuelve si el elemento del xml resultante donde se va a colocar la clave (oid) del select es un atributo

  Returns:
    true si el elemento es un atributo

### setKeyIsAttribute

    public void setKeyIsAttribute(boolean x)

  Establece si el elemento del xml resultante donde se va a colocar la clave (oid) del select es un atributo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD